Subject: Re: [PATCH -next] acpi utmisc: use WARN_ON() instead of warn_on_slowpath()

From: Len Brown <[email-masked]>
Date: Sun, 06 Jul 2008 13:18:56 -0400 (EDT)

for background...

Ingo pointed out that automated testing wasn't finding
ACPI exceptions because we were not using the standard
Linux format for oops etc.

I put this hack patch on the debug-test branch in the acpi tree,
and pulled it into the test branch for linux-next to mine
for previously ignored errors.

This commit isn't intended for 2.6.27.
(and thus is not on the release-2.6.27 branch)
hopefully that isn't abuse of linux-next...

Arjan tells me that we'll have a real WARN()
with prink semantics in 2.6.27 and so we can
simplify/standardize this when that happens.

Oh, and since I'm on sabbatical, I'm obviously
fine with whatever Andi Kleen does (or does not do here)
in my absence.

thanks,
-Len

commit 9e030ab0bffdc8b6d8be663b639bd5e2374537f0
Author: Len Brown <[email-masked]>
Date:   Tue Jun 24 22:47:09 2008 -0400

    ACPI: add standard linux WARN_ON() output to ACPI errors and 
exceptions
    
    In linux-2.6.27, we expect WARN() with printk semantics
    to become available, and we'll be able to simplify
    this code.
    
    Signed-off-by: Len Brown <[email-masked]>